# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.6 2001/02/09 02:03:15 xorgcvs Exp $

#-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
# This Makefile was generated automatically from Imakefile, using imake,
# which is provided as part of the X Windows distribution. imake was
# written by Todd Brunhoff and Jim Fulton from the Mit X Consortium.
#
# The rules for turning an Imakefile into a Makefile are located in
# conf/Imake.tmpl and conf/Imake.rules. Platform specific parameters
# are set in the .cf files. Site specific parameters are set in the
# system's CONFIG file. Rules and templates for RCCL/RCI created by
# John Lloyd, McGill University, November 27, 1990.
#-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

      TARGET_DEFS = -D"LINUX_CFG"
              RCC = rcc

               CC = gcc
               LD = ld
             LDIR = ../lib
             BDIR = ../bin

             FCMD = undefined

            RMCMD = /bin/rm -f
        JUNKFILES = *.BAK .*.BAK *~ *.CKP .*.CKP \\\#* *.o *.to *.tO core makelog

C_INCS :=
C_DEFS :=  $(TARGET_DEFS)
C_OPNS :=

C_DEFS := $(C_DEFS) -D"RWU"

       RCC_CFLAGS = $(C_OPNS) $(C_INCS) $(C_DEFS) $(TRACE)

            LUSER = $(LDIR)/rciUser.a
            LCTRL = $(LDIR)/rciCtrl.a
            LPUMA = $(LDIR)/libPuma.a

            LAUXK =

            LLIBC = $(LDIR)/libC.a
           LCTREE = $(LDIR)/libCtree.a
 VOLATILE_RCILIBS = $(LUSER) $(LCTRL)
      ALL_RCILIBS = $(LUSER) $(LCTREE) $(LCTRL) $(LAUXK) $(LLIBC)

.SUFFIXES:	.to .tO

.c.to:
	@if [ -f $*.o ] ; then \
	tmp=\#obj_tmp$$$$; mv $*.o $$tmp; fi; \
	echo $(CC) $(CFLAGS) -c -DTEST $^ '[' -o $*.to ']' ; $(CC) $(CFLAGS) -c -DTEST $^; mv $*.o $*.to; \
	if [ "$$tmp" != "" ] ; then mv $$tmp $*.o; else exit 0; fi
.c.tO:
	@if [ -f $*.o ] ; then \
	tmp=\#obj_tmp$$$$; mv $*.o $$tmp; fi; \
	echo $(RCC) $(CFLAGS) -c -DTEST CTRL $^ '[' -o $*.tO ']' ; $(RCC) $(CFLAGS) -c -DTEST CTRL $^; mv $*.o $*.tO; \
	if [ "$$tmp" != "" ] ; then mv $$tmp $*.o; else exit 0; fi

ULIST :=
CLIST :=
PLIST :=
UOBJS :=
COBJS :=
POBJS :=
UTARGS :=
VXWLO :=
VXWBO :=

define CheckForVXWDir
	if [ ! -d VXW ] ; then
	   if [ -f VXW ] ; then
	      echo error: VXW exits, but is not a directory; exit 1
	   fi
	   echo mkdir VXW
	   mkdir VXW
	fi
endef

#=-=-=-=-=-=-=-=-=-=-=-=- Imakefile starts here -=-=-=-=-=-=-=-=-=-=-=-=-=

# -----------------------------------------------------------------------------
#
# make puma260	- build all demo programs for the PUMA 260
# make puma560  - build all demo programs for the PUMA 560
#
# make <prog>	- build a particular demo program.
#
# -----------------------------------------------------------------------------

CFLAGS = -g $(RCC_CFLAGS) -I../h

PUMA260 = simple.260 box.260 hex.260 zigzag.260 rotate.260 	  pivot.260 guarded.260 track.260 pickAndDrop.260 cylin.260

PUMA560 = simple.560 box.560 hex.560 zigzag.560 rotate.560 	  pivot.560 guarded.560 track.560 pickAndDrop.560 cylin.560 	  trackII.560 comply.560

ELBOW = simple.560 box.560 hex.elbow zigzag.560 rotate.560 	  pivot.560 guarded.560 track.560 pickAndDrop.560 cylin.560 	  trackII.560 comply.560

STAN = simple.560 box.560 hex.560 zigzag.560 rotate.560 	  pivot.stan guarded.560 track.560 pickAndDrop.560 cylin.560 	  trackII.560 comply.560

GENERIC = playback jmove sim logger

puma260: $(PUMA260) $(GENERIC)

puma560: $(PUMA560) $(GENERIC)

UO =
CO =

simple.560:	$(VOLATILE_RCILIBS)
simple.560:  simple.560.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ simple.560.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

box.560:	$(VOLATILE_RCILIBS)
box.560:  box.560.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ box.560.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

hex.560:	$(VOLATILE_RCILIBS)
hex.560:  hex.560.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ hex.560.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

pickAndDrop.560:	$(VOLATILE_RCILIBS)
pickAndDrop.560:  pickAndDrop.560.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ pickAndDrop.560.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

zigzag.560:	$(VOLATILE_RCILIBS)
zigzag.560:  zigzag.560.o zigzagCtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ zigzag.560.o $(OU) CTRL zigzagCtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@

rotate.560:	$(VOLATILE_RCILIBS)
rotate.560:  rotate.560.o rotateCtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ rotate.560.o $(OU) CTRL rotateCtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@

pivot.560:	$(VOLATILE_RCILIBS)
pivot.560:  pivot.560.o pivotCtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ pivot.560.o $(OU) CTRL pivotCtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@

guarded.560:	$(VOLATILE_RCILIBS)
guarded.560:  guarded.560.o guardedCtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ guarded.560.o $(OU) CTRL guardedCtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@

track.560:	$(VOLATILE_RCILIBS)
track.560:  track.560.o trackCtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ track.560.o $(OU) CTRL trackCtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@

comply.560:	$(VOLATILE_RCILIBS)
comply.560:  comply.560.o complyCtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ comply.560.o $(OU) CTRL complyCtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@

trackII.560:	$(VOLATILE_RCILIBS)
trackII.560:  trackII.560.o trackIICtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ trackII.560.o $(OU) CTRL trackIICtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@
COMPCTRL = complyCtrl.560.o

cylin.560:	$(VOLATILE_RCILIBS)
cylin.560:  cylin.560.o cylinSubs.o cylinCtrl.560.o $(COMPCTRL) $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ cylin.560.o cylinSubs.o $(OU) CTRL cylinCtrl.560.o $(COMPCTRL) $(OC) $(CLIBS)
	# chmod u+s $@

simple.260:	$(VOLATILE_RCILIBS)
simple.260:  simple.260.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ simple.260.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

box.260:	$(VOLATILE_RCILIBS)
box.260:  box.260.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ box.260.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

hex.260:	$(VOLATILE_RCILIBS)
hex.260:  hex.260.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ hex.260.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

pickAndDrop.260:	$(VOLATILE_RCILIBS)
pickAndDrop.260:  pickAndDrop.260.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ pickAndDrop.260.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

zigzag.260:	$(VOLATILE_RCILIBS)
zigzag.260:  zigzag.260.o zigzagCtrl.260.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ zigzag.260.o $(OU) CTRL zigzagCtrl.260.o $(OC) $(CLIBS)
	# chmod u+s $@

rotate.260:	$(VOLATILE_RCILIBS)
rotate.260:  rotate.260.o rotateCtrl.260.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ rotate.260.o $(OU) CTRL rotateCtrl.260.o $(OC) $(CLIBS)
	# chmod u+s $@

pivot.260:	$(VOLATILE_RCILIBS)
pivot.260:  pivot.260.o pivotCtrl.260.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ pivot.260.o $(OU) CTRL pivotCtrl.260.o $(OC) $(CLIBS)
	# chmod u+s $@

guarded.260:	$(VOLATILE_RCILIBS)
guarded.260:  guarded.260.o guardedCtrl.260.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ guarded.260.o $(OU) CTRL guardedCtrl.260.o $(OC) $(CLIBS)
	# chmod u+s $@

track.260:	$(VOLATILE_RCILIBS)
track.260:  track.260.o trackCtrl.260.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ track.260.o $(OU) CTRL trackCtrl.260.o $(OC) $(CLIBS)
	# chmod u+s $@

cylin.260:	$(VOLATILE_RCILIBS)
cylin.260:  cylin.260.o cylinSubs.o cylinCtrl.260.o $(COMPCTRL) $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ cylin.260.o cylinSubs.o $(OU) CTRL cylinCtrl.260.o $(COMPCTRL) $(OC) $(CLIBS)
	# chmod u+s $@

hex.elbow:	$(VOLATILE_RCILIBS)
hex.elbow:  hex.elbow.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ hex.elbow.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

pivot.stan:	$(VOLATILE_RCILIBS)
pivot.stan:  pivot.stan.o pivotCtrl.560.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ pivot.stan.o $(OU) CTRL pivotCtrl.560.o $(OC) $(CLIBS)
	# chmod u+s $@

jmove:	$(VOLATILE_RCILIBS)
jmove:  jmove.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ jmove.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

playback:	$(VOLATILE_RCILIBS)
playback:  playback.o  $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ playback.o $(OU) CTRL  $(OC) $(CLIBS)
	# chmod u+s $@

sim:	$(VOLATILE_RCILIBS)
sim:  sim.o simCtrl.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ sim.o $(OU) CTRL simCtrl.o $(OC) $(CLIBS)
	# chmod u+s $@

logger:	$(VOLATILE_RCILIBS)
logger:  logger.o loggerCtrl.o $(OU) $(OC)
	$(RCC) $(CFLAGS) -o $@ logger.o $(OU) CTRL loggerCtrl.o $(OC) $(CLIBS)
	# chmod u+s $@

zigzagCtrl.560.o:  zigzagCtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

rotateCtrl.560.o:  rotateCtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

pivotCtrl.560.o:  pivotCtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

guardedCtrl.560.o:  guardedCtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

trackCtrl.560.o:  trackCtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

complyCtrl.560.o:  complyCtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

trackIICtrl.560.o:  trackIICtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

cylinCtrl.560.o:  cylinCtrl.560.c
	$(RCC) $(CFLAGS) -c CTRL $<

zigzagCtrl.260.o:  zigzagCtrl.260.c
	$(RCC) $(CFLAGS) -c CTRL $<

rotateCtrl.260.o:  rotateCtrl.260.c
	$(RCC) $(CFLAGS) -c CTRL $<

pivotCtrl.260.o:  pivotCtrl.260.c
	$(RCC) $(CFLAGS) -c CTRL $<

guardedCtrl.260.o:  guardedCtrl.260.c
	$(RCC) $(CFLAGS) -c CTRL $<

trackCtrl.260.o:  trackCtrl.260.c
	$(RCC) $(CFLAGS) -c CTRL $<

cylinCtrl.260.o:  cylinCtrl.260.c
	$(RCC) $(CFLAGS) -c CTRL $<

simCtrl.o:  simCtrl.c
	$(RCC) $(CFLAGS) -c CTRL $<

loggerCtrl.o:  loggerCtrl.c
	$(RCC) $(CFLAGS) -c CTRL $<

clean::
	$(RMCMD) $(JUNKFILES) *.o *.to *.tO
	$(RMCMD) $(GENERIC) $(PUMA260) $(PUMA560) $(ELBOW) $(STAN) clf jlf log

depend::
	/bin/ls *.c | sed -e 's/.c$$/.s/' | xargs rm -f
	@if [ -f DependFile ] ; then \
	echo mv DependFile DependFile.BAK; \
	mv DependFile DependFile.BAK; else exit 0; fi
	$(CC) -MM -I$$RCCL/h $(C_INCS) $(C_DEFS)  *.c \
	> DependFile

DependFile:
include DependFile

vpath %.h ..
vpath %.c ..
vpath %.s ..
vxw:		$(LDIR)/vxw.o
$(LDIR)/vxw.o:
	(cd $(LDIR); $(MAKE) $(MFLAGS) vxw)

#=-=-=-=-=-=-=-=-=-=-=-=-= Imakefile ends here =-=-=-=-=-=-=-=-=-=-=-=-=-=

depend::

clean::

# XXX line used by make depend - DO NOT DELETE XXX

